﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.RegularExpressions;
using System.Threading.Tasks;

namespace RegularniVyrazy
{
	class Program
	{
		static void Main(string[] args)
		{
			// Regulérní_výrazy výraz pro ověření telefonního čísla
			Regex r = new Regex(@"^(\+420|\+421) ?[0-9]{3} ?[0-9]{3} ?[0-9]{3}$");

			Console.Write("Zadejte české nobo slovenské telefoní číslo: ");
			if (r.IsMatch(Console.ReadLine())) {
				Console.WriteLine("Zadali jste platné tel číslo.");
			} else {
				Console.WriteLine("Zadali jste NEplatné tel číslo.");
			}
			Console.WriteLine();

			// Regulérní výraz pro ověření data a času
			r = new Regex("^[0-3]?[0-9]-[01]?[0-9]-[0-9]{2,4}( [0-2]?[0-9]:[0-5]?[0-9])?$");

			Console.Write("Zadejte datum: ");
			if (r.IsMatch(Console.ReadLine())) {
				Console.WriteLine("Zadali jste platný datum.");
			} else {
				Console.WriteLine("Zadali jste NEplatný datum.");
			}
			Console.WriteLine();

			// Reguérní výraz pro ověření IP adresy
			r = new Regex(@"^((2[0-5][0-5])|(0?[0-9][0-9])|((0{2})?[0-9])|(1[0-9][0-9]))\.((2[0-5][0-5])|(0?[0-9][0-9])|((0{2})?[0-9])|(1[0-9][0-9]))\.((2[0-5][0-5])|(0?[0-9][0-9])|((0{2})?[0-9])|(1[0-9][0-9]))\.((2[0-5][0-5])|(0?[0-9][0-9])|((0{2})?[0-9])|(1[0-9][0-9]))$");

			Console.WriteLine("Zadejte IP adresu: ");
			if (r.IsMatch(Console.ReadLine())) {
				Console.WriteLine("Zadali jste platnou IP adresu");
			} else {
				Console.WriteLine("Zadali jste NEplatnou IP adresu.");
			}
			Console.ReadKey();


		}
	}
}
